Index: uspace/drv/usbhub/port_status.h
===================================================================
--- uspace/drv/usbhub/port_status.h	(revision d7f3040b05eb1e999aba1fed9b3deed8be818719)
+++ uspace/drv/usbhub/port_status.h	(revision 3e490ebbd2a5d293190f3cd68a1a6b8c52858700)
@@ -282,5 +282,5 @@
  */
 static inline bool usb_hub_get_bit(usb_hub_status_t * status, int idx) {
-	return (*status)&(1 << idx);
+	return ((*status)&(1 << idx))!=0;
 }
 
@@ -309,4 +309,10 @@
 }
 
+/**
+ * set device connected bit in port status
+ *
+ * @param status
+ * @param connected value of the bit
+ */
 static inline void usb_port_set_dev_connected(usb_port_status_t * status, bool connected) {
 	usb_port_set_bit(status, 0, connected);
@@ -325,4 +331,10 @@
 }
 
+/**
+ * set port enabled bit in port status
+ *
+ * @param status
+ * @param enabled value of the bit
+ */
 static inline void usb_port_set_enabled(usb_port_status_t * status, bool enabled) {
 	usb_port_set_bit(status, 1, enabled);
@@ -340,4 +352,10 @@
 }
 
+/**
+ * set port suspended bit in port status
+ *
+ * @param status
+ * @param suspended value of the bit
+ */
 static inline void usb_port_set_suspended(usb_port_status_t * status, bool suspended) {
 	usb_port_set_bit(status, 2, suspended);
@@ -355,4 +373,10 @@
 }
 
+/**
+ * set over current indicator bit in port status
+ *
+ * @param status
+ * @param value value of the bit
+ */
 static inline void usb_port_set_over_current(usb_port_status_t * status, bool value) {
 	usb_port_set_bit(status, 3, value);
@@ -370,4 +394,10 @@
 }
 
+/**
+ * set port reset bit in port status
+ *
+ * @param status
+ * @param value value of the bit
+ */
 static inline void usb_port_set_reset(usb_port_status_t * status, bool value) {
 	usb_port_set_bit(status, 4, value);
@@ -385,4 +415,10 @@
 }
 
+/**
+ * set port powered bit in port status
+ *
+ * @param status
+ * @param powered value of the bit
+ */
 static inline void usb_port_set_powered(usb_port_status_t * status, bool powered) {
 	usb_port_set_bit(status, 8, powered);
@@ -400,4 +436,10 @@
 }
 
+/**
+ * set device connected bit in port status
+ * 
+ * @param status
+ * @param low_speed value of the bit
+ */
 static inline void usb_port_set_low_speed(usb_port_status_t * status, bool low_speed) {
 	usb_port_set_bit(status, 9, low_speed);
@@ -415,4 +457,10 @@
 }
 
+/**
+ * set high speed device bit in port status
+ *
+ * @param status
+ * @param high_speed value of the bit
+ */
 static inline void usb_port_set_high_speed(usb_port_status_t * status, bool high_speed) {
 	usb_port_set_bit(status, 10, high_speed);
@@ -445,4 +493,9 @@
 }
 
+/**
+ * set connection change bit in port status
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_port_set_connect_change(usb_port_status_t * status, bool change) {
 	usb_port_set_bit(status, 16, change);
@@ -460,4 +513,10 @@
 }
 
+/**
+ * set port enable change bit in port status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_port_set_enabled_change(usb_port_status_t * status, bool change) {
 	usb_port_set_bit(status, 17, change);
@@ -475,4 +534,10 @@
 }
 
+/**
+ * set port suspend change bit in port status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_port_set_suspend_change(usb_port_status_t * status, bool change) {
 	usb_port_set_bit(status, 18, change);
@@ -490,4 +555,10 @@
 }
 
+/**
+ * set port over current change bit in port status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_port_set_overcurrent_change(usb_port_status_t * status, bool change) {
 	usb_port_set_bit(status, 19, change);
@@ -504,4 +575,10 @@
 }
 
+/**
+ * set port reset completed bit in port status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_port_set_reset_completed(usb_port_status_t * status, bool completed) {
 	usb_port_set_bit(status, 20, completed);
@@ -519,4 +596,10 @@
 }
 
+/**
+ * set hub power lost bit in hub status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_hub_set_local_power_lost(usb_port_status_t * status,
 	bool power_lost) {
@@ -535,4 +618,10 @@
 }
 
+/**
+ * set hub over current bit in hub status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_hub_set_over_current(usb_port_status_t * status,
 	bool over_current) {
@@ -552,4 +641,10 @@
 }
 
+/**
+ * set hub power change bit in hub status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_hub_set_local_power_change(usb_port_status_t * status,
 	bool change) {
@@ -568,4 +663,10 @@
 }
 
+/**
+ * set hub over current change bit in hub status
+ *
+ * @param status
+ * @param change value of the bit
+ */
 static inline void usb_hub_set_over_current_change(usb_port_status_t * status,
 	bool change) {
